#!/bin/sh

# retrieve original sources; multiple upstream sources

# The upstream glexec version
version=$2

# these versions are hardcoded here; they need to be updated if new upstream versions
# become available.
mkgltempdir=0.0.4
# the corresponding component name (see dpkg-source(1) under Format 3.0 (quilt))
mkgltempdircomp=mkgltempdir-4
glexec_wrapper_scripts=0.0.7

repo=http://software.nikhef.nl/security

(
    cd ..
    wget $repo/mkgltempdir/mkgltempdir-$mkgltempdir.tar.gz
    ln -s mkgltempdir-$mkgltempdir.tar.gz glexec_$version.orig-${mkgltempdircomp}.tar.gz
    wget $repo/glexec-wrapper-scripts/glexec-wrapper-scripts-$glexec_wrapper_scripts.tar.gz
    ln -s glexec-wrapper-scripts-$glexec_wrapper_scripts.tar.gz \
	glexec_$version.orig-glexec-wrapper-scripts.tar.gz
)


